WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/December 2021/18 Dec 2021

Bedwas 36–30 Neath

105 photographs Gareth EverettHuw Evans Agency Saturday
Prints from £8 Order prints
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas dives in to score try 001
CDF_181221_GE_Bedwas_v_Neath_001.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas dives in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas dives in to score try 002
CDF_181221_GE_Bedwas_v_Neath_002.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas dives in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas dives in to score try 003
CDF_181221_GE_Bedwas_v_Neath_003.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas dives in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas crosses to score try as James Roberts of Neath challenges 004
CDF_181221_GE_Bedwas_v_Neath_004.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas crosses to score try as James Roberts of Neath challenges
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas crosses to score try as James Roberts of Neath challenges 005
CDF_181221_GE_Bedwas_v_Neath_005.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas crosses to score try as James Roberts of Neath challenges
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas crosses to score try as James Roberts of Neath challenges 006
CDF_181221_GE_Bedwas_v_Neath_006.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas crosses to score try as James Roberts of Neath challenges
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas is tackled by Alun Jones of Neath 007
CDF_181221_GE_Bedwas_v_Neath_007.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas is tackled by Alun Jones of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas is tackled by Alun Jones of Neath 008
CDF_181221_GE_Bedwas_v_Neath_008.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas is tackled by Alun Jones of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas is tackled by Alun Jones of Neath 009
CDF_181221_GE_Bedwas_v_Neath_009.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas is tackled by Alun Jones of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas looks to break away 010
CDF_181221_GE_Bedwas_v_Neath_010.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas looks to break away
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas looks to break away 011
CDF_181221_GE_Bedwas_v_Neath_011.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas looks to break away
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas looks to break away 012
CDF_181221_GE_Bedwas_v_Neath_012.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas looks to break away
181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas takes on Alun Jones of Neath 013
CDF_181221_GE_Bedwas_v_Neath_013.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas takes on Alun Jones of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas takes on Alun Jones of Neath 014
CDF_181221_GE_Bedwas_v_Neath_014.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas takes on Alun Jones of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Harry Oliver of Bedwas takes on Owain Morgan of Neath 015
CDF_181221_GE_Bedwas_v_Neath_015.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Harry Oliver of Bedwas takes on Owain Morgan of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas lines up a penalty kick 016
CDF_181221_GE_Bedwas_v_Neath_016.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas lines up a penalty kick
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on Aaron Grabham of Neath 017
CDF_181221_GE_Bedwas_v_Neath_017.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on Aaron Grabham of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on the Neath defence 018
CDF_181221_GE_Bedwas_v_Neath_018.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on the Neath defence
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on the Neath defence 019
CDF_181221_GE_Bedwas_v_Neath_019.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on the Neath defence
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on the Neath defence 020
CDF_181221_GE_Bedwas_v_Neath_020.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas takes on the Neath defence
 021
CDF_181221_GE_Bedwas_v_Neath_021.jpg · Huw Evans Agency
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try 022
CDF_181221_GE_Bedwas_v_Neath_022.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try 023
CDF_181221_GE_Bedwas_v_Neath_023.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try 024
CDF_181221_GE_Bedwas_v_Neath_024.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try 025
CDF_181221_GE_Bedwas_v_Neath_025.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try 026
CDF_181221_GE_Bedwas_v_Neath_026.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas celebrates after scoring try 027
CDF_181221_GE_Bedwas_v_Neath_027.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas celebrates after scoring try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas celebrates after scoring try 028
CDF_181221_GE_Bedwas_v_Neath_028.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas celebrates after scoring try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas celebrates after scoring try 029
CDF_181221_GE_Bedwas_v_Neath_029.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas celebrates after scoring try
181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try 030
CDF_181221_GE_Bedwas_v_Neath_030.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Craig Hudd of Bedwas races in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try 031
CDF_181221_GE_Bedwas_v_Neath_031.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try 032
CDF_181221_GE_Bedwas_v_Neath_032.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try 033
CDF_181221_GE_Bedwas_v_Neath_033.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try 034
CDF_181221_GE_Bedwas_v_Neath_034.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try 035
CDF_181221_GE_Bedwas_v_Neath_035.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Tim Ryan of Neath powers through to score try
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 036
CDF_181221_GE_Bedwas_v_Neath_036.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 037
CDF_181221_GE_Bedwas_v_Neath_037.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 038
CDF_181221_GE_Bedwas_v_Neath_038.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 039
CDF_181221_GE_Bedwas_v_Neath_039.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 040
CDF_181221_GE_Bedwas_v_Neath_040.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 041
CDF_181221_GE_Bedwas_v_Neath_041.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 042
CDF_181221_GE_Bedwas_v_Neath_042.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 043
CDF_181221_GE_Bedwas_v_Neath_043.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 044
CDF_181221_GE_Bedwas_v_Neath_044.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Neath assistant coach Andrew Howells 045
CDF_181221_GE_Bedwas_v_Neath_045.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath assistant coach Andrew Howells
181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan 046
CDF_181221_GE_Bedwas_v_Neath_046.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath head coach Patrick Horgan
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Stefan Sankala 047
CDF_181221_GE_Bedwas_v_Neath_047.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Stefan Sankala
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Stefan Sankala 048
CDF_181221_GE_Bedwas_v_Neath_048.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Stefan Sankala
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Stefan Sankala 049
CDF_181221_GE_Bedwas_v_Neath_049.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Stefan Sankala
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee 050
CDF_181221_GE_Bedwas_v_Neath_050.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee 051
CDF_181221_GE_Bedwas_v_Neath_051.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee 052
CDF_181221_GE_Bedwas_v_Neath_052.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee 053
CDF_181221_GE_Bedwas_v_Neath_053.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas coach Pat McGee
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 054
CDF_181221_GE_Bedwas_v_Neath_054.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 055
CDF_181221_GE_Bedwas_v_Neath_055.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 056
CDF_181221_GE_Bedwas_v_Neath_056.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 057
CDF_181221_GE_Bedwas_v_Neath_057.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - Ryan Evans of Neath is tackled by Alex Bourne of Bedwas and Lewis Bowden of Bedwas 058
CDF_181221_GE_Bedwas_v_Neath_058.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Ryan Evans of Neath is tackled by Alex Bourne of Bedwas and Lewis Bowden of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Ryan Evans of Neath is tackled by Alex Bourne of Bedwas and Lewis Bowden of Bedwas 059
CDF_181221_GE_Bedwas_v_Neath_059.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Ryan Evans of Neath is tackled by Alex Bourne of Bedwas and Lewis Bowden of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Steff Williams of Neath 060
CDF_181221_GE_Bedwas_v_Neath_060.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Steff Williams of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Elis Horgan of Neath 061
CDF_181221_GE_Bedwas_v_Neath_061.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Elis Horgan of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas 062
CDF_181221_GE_Bedwas_v_Neath_062.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas 063
CDF_181221_GE_Bedwas_v_Neath_063.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dafydd Thomas of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas 064
CDF_181221_GE_Bedwas_v_Neath_064.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas charges forward 065
CDF_181221_GE_Bedwas_v_Neath_065.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas charges forward 066
CDF_181221_GE_Bedwas_v_Neath_066.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas charges forward 067
CDF_181221_GE_Bedwas_v_Neath_067.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Liam Jenkins of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas 068
CDF_181221_GE_Bedwas_v_Neath_068.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas 069
CDF_181221_GE_Bedwas_v_Neath_069.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas 070
CDF_181221_GE_Bedwas_v_Neath_070.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas and Neath set for the a scrum during the match 071
CDF_181221_GE_Bedwas_v_Neath_071.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Bedwas and Neath set for the a scrum during the match
181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas 072
CDF_181221_GE_Bedwas_v_Neath_072.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas 073
CDF_181221_GE_Bedwas_v_Neath_073.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 074
CDF_181221_GE_Bedwas_v_Neath_074.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 075
CDF_181221_GE_Bedwas_v_Neath_075.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 076
CDF_181221_GE_Bedwas_v_Neath_076.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 077
CDF_181221_GE_Bedwas_v_Neath_077.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 078
CDF_181221_GE_Bedwas_v_Neath_078.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 079
CDF_181221_GE_Bedwas_v_Neath_079.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward 080
CDF_181221_GE_Bedwas_v_Neath_080.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Lewis Bowden of Bedwas charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - 081
CDF_181221_GE_Bedwas_v_Neath_081.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship -
181221 - Bedwas v Neath, WRU Admiral Championship - 082
CDF_181221_GE_Bedwas_v_Neath_082.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship -
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 083
CDF_181221_GE_Bedwas_v_Neath_083.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 084
CDF_181221_GE_Bedwas_v_Neath_084.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC 085
CDF_181221_GE_Bedwas_v_Neath_085.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - A general view of Bridgefield home of Bedwas RFC
181221 - Bedwas v Neath, WRU Admiral Championship - Dylan Davies of Bedwas feeds the ball out 086
CDF_181221_GE_Bedwas_v_Neath_086.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dylan Davies of Bedwas feeds the ball out
181221 - Bedwas v Neath, WRU Admiral Championship - Alun Jones of Neath charges forward 087
CDF_181221_GE_Bedwas_v_Neath_087.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Alun Jones of Neath charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Dylan Davies of Bedwas feeds the ball out 088
CDF_181221_GE_Bedwas_v_Neath_088.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dylan Davies of Bedwas feeds the ball out
181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas 089
CDF_181221_GE_Bedwas_v_Neath_089.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Dion McIntosh of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Elis Horgan of Neath is sent flying as he follows through on the loose ball 090
CDF_181221_GE_Bedwas_v_Neath_090.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Elis Horgan of Neath is sent flying as he follows through on the loose ball
181221 - Bedwas v Neath, WRU Admiral Championship - Elis Horgan of Neath is sent flying as he follows through on the loose ball 091
CDF_181221_GE_Bedwas_v_Neath_091.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Elis Horgan of Neath is sent flying as he follows through on the loose ball
181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas looks to offload 092
CDF_181221_GE_Bedwas_v_Neath_092.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Matt Bancroft of Bedwas looks to offload
181221 - Bedwas v Neath, WRU Admiral Championship - James Roberts of Neathdives in to score try 093
CDF_181221_GE_Bedwas_v_Neath_093.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - James Roberts of Neathdives in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - James Roberts of Neathdives in to score try 094
CDF_181221_GE_Bedwas_v_Neath_094.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - James Roberts of Neathdives in to score try
181221 - Bedwas v Neath, WRU Admiral Championship - Owain Morgan of Neath charges forward 095
CDF_181221_GE_Bedwas_v_Neath_095.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Owain Morgan of Neath charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Owain Morgan of Neath charges forward 096
CDF_181221_GE_Bedwas_v_Neath_096.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Owain Morgan of Neath charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Owain Morgan of Neath charges forward 097
CDF_181221_GE_Bedwas_v_Neath_097.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Owain Morgan of Neath charges forward
181221 - Bedwas v Neath, WRU Admiral Championship - Steff Williams of Neath takes on Lewis Bowden of Bedwas 098
CDF_181221_GE_Bedwas_v_Neath_098.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Steff Williams of Neath takes on Lewis Bowden of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Steff Williams of Neath takes on Lewis Bowden of Bedwas 099
CDF_181221_GE_Bedwas_v_Neath_099.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Steff Williams of Neath takes on Lewis Bowden of Bedwas
181221 - Bedwas v Neath, WRU Admiral Championship - Neath look to score a try in the final minutes of the match but the try isn't awarded 100
CDF_181221_GE_Bedwas_v_Neath_100.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath look to score a try in the final minutes of the match but the try isn't awarded
181221 - Bedwas v Neath, WRU Admiral Championship - Neath look to score a try in the final minutes of the match but the try isn't awarded 101
CDF_181221_GE_Bedwas_v_Neath_101.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Neath look to score a try in the final minutes of the match but the try isn't awarded
181221 - Bedwas v Neath, WRU Admiral Championship - Gareth Lloyd of Neath 102
CDF_181221_GE_Bedwas_v_Neath_102.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - Gareth Lloyd of Neath
181221 - Bedwas v Neath, WRU Admiral Championship - The Bedwas team huddle together at the end of the match 103
CDF_181221_GE_Bedwas_v_Neath_103.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - The Bedwas team huddle together at the end of the match
181221 - Bedwas v Neath, WRU Admiral Championship - The Bedwas team huddle together at the end of the match 104
CDF_181221_GE_Bedwas_v_Neath_104.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - The Bedwas team huddle together at the end of the match
181221 - Bedwas v Neath, WRU Admiral Championship - The Bedwas team huddle together at the end of the match 105
CDF_181221_GE_Bedwas_v_Neath_105.jpg · Gareth Everett181221 - Bedwas v Neath, WRU Admiral Championship - The Bedwas team huddle together at the end of the match

More from around this date

Sat 18 DecSenghenydd 21-22 Brynmawr Sat 18 DecRochdale 3-0 Newport County Sat 18 DecHarlequins 43-17 Cardiff Fri 17 DecDragons 28-41 Lyon Thu 16 DecCarmarthen Quins 30-13 Llanelli Tue 21 DecCardiff Rugby Training Wed 15 DecCardiff University v Cardiff Met
Bedwas 36-30 Neath · 18 Dec 2021
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured